server:
  port: 8899

spring:
  application:
    name: zgwl-end
  profiles:
    active: ${SPRING_PROFILES_ACTIVE:oracle}
  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 20MB

mybatis-plus:
  mapper-locations: classpath*:mapper/**/*.xml
  type-aliases-package: com.nbport.zgwl.entity,com.nbport.zgwl.partner.domain,com.nbport.zgwl.manifest.domain
  configuration:
    jdbc-type-for-null: 'NULL'
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    banner: false

springdoc:
  swagger-ui:
    path: /swagger-ui.html
  api-docs:
    path: /v3/api-docs

file:
  local:
    path: ${user.dir}/upload-files

seal:
  appKey: A7C4FD32BE454B5
  appSecret: 6c74358c28c149f18242bd614a101910
  baseUrl: https://saasapi.certca.cn

contract-push:
  settlement:
    systemKey: stamp-settlement-test-key
    secretKey: stamp-settlement-test-secret
    tokenUrl: http://10.168.53.211:8888/grcv5/serverapi/restapi/other/v1/ecp/getToken
    pushContractUrl: http://10.168.53.211:8888/grcv5/serverapi/restapi/other/v1/ecp/pushContract
    approveQueryUrl: http://10.168.53.211:8888/grcv5/serverapi/restapi/other/v1/ecp/queryInfoByContractSysId
    archiveUrl: http://10.168.53.211:8888/grcv5/serverapi/restapi/other/v1/ecp/collectContractArchive
    approveViewBaseUrl: http://10.168.53.211:8888/wp/grcv5/contractView/G_1_viewContractApprove.htm
  dataCollection:
    systemKey: stamp-collection-test-key
    secretKey: stamp-collection-test-secret
    sysCode: stamp-end-demo
    tokenUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/getToken
    uploadUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/upload
    collectOppositesUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/collectOpposites
    collectZtbsUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/collectZtbs
    collectContractUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/collectContract
    collectPlanFeedbackUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/collectPlanFeedback
    collectContractCloseUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/collectContractClose
    collectContractArchiveUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/collectContractArchive
    queryApproveInfoUrl: http://10.168.53.211:8888/grcv5/cj/rest/dataCenter/queryApproveInfo
    approveViewBaseUrl: http://10.168.53.211:8888/grcv5/wp/contractView/G_1_viewContractApprove.htm

logging:
  level:
    com.nbport.zgwl.mapper: debug
